Show / Hide Table of Contents

# Struct BLMGauge

##### Inherited Members

System.ValueType.Equals(System.Object)
System.ValueType.GetHashCode()
System.ValueType.ToString()
System.Object.Equals(System.Object, System.Object)
System.Object.ReferenceEquals(System.Object, System.Object)
System.Object.GetType()

###### Namespace: Dalamud.Game.ClientState.Structs.JobGauge

###### Assembly: Dalamud.dll

##### Syntax

    public struct BLMGauge

### Fields

| Improve this Doc View Source

#### ElementTimeRemaining

##### Declaration

    public short ElementTimeRemaining

##### Field Value

Type | Description
--- | ---
System.Int16 |

| Improve this Doc View Source

#### NumPolyglotStacks

##### Declaration

    public byte NumPolyglotStacks

##### Field Value

Type | Description
--- | ---
System.Byte |

| Improve this Doc View Source

#### NumUmbralHearts

##### Declaration

    public byte NumUmbralHearts

##### Field Value

Type | Description
--- | ---
System.Byte |

| Improve this Doc View Source

#### TimeUntilNextPolyglot

##### Declaration

    public short TimeUntilNextPolyglot

##### Field Value

Type | Description
--- | ---
System.Int16 |

### Methods

| Improve this Doc View Source

#### InAstralFire()

##### Declaration

    public bool InAstralFire()

##### Returns

Type | Description
--- | ---
System.Boolean |

| Improve this Doc View Source

#### InUmbralIce()

##### Declaration

    public bool InUmbralIce()

##### Returns

Type | Description
--- | ---
System.Boolean |

| Improve this Doc View Source

#### IsEnoActive()

##### Declaration

    public bool IsEnoActive()

##### Returns

Type | Description
--- | ---
System.Boolean |